Bug 1264656 - Review Request: rubygem-ace-rails-ap - The Ajax.org Cloud9 Editor.
Review Request: rubygem-ace-rails-ap - The Ajax.org Cloud9 Editor.
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-19 18:27 EDT by Ilya Gradina
Modified: 2016-10-05 11:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ilya Gradina 2015-09-19 18:27:42 EDT
Spec URL: https://raw.githubusercontent.com/ilgrad/fedora-packages/master/rubygems/rubygem-ace-rails-ap.spec
SRPM URL: https://github.com/ilgrad/fedora-packages/raw/master/rubygems/rubygem-ace-rails-ap-4.0.0-1.fc24.src.rpm
Description: The Ajax.org Cloud9 Editor (Ace) for the Rails 3.1+ asset pipeline.
Fedora Account System Username: ilgrad
Comment 1 Upstream Release Monitoring 2015-09-24 11:05:02 EDT
jgrulich's scratch build of kdevelop?#c8e2b9bc57f11e41f3dc6612cdbcc591078d9062 for f22-candidate and git://pkgs.fedoraproject.org/kdevelop?#c8e2b9bc57f11e41f3dc6612cdbcc591078d9062 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11212117
Comment 2 Ilya Gradina 2015-09-24 18:55:26 EDT
(In reply to Upstream Release Monitoring from comment #1)
> jgrulich's scratch build of
> kdevelop?#c8e2b9bc57f11e41f3dc6612cdbcc591078d9062 for f22-candidate and
> git://pkgs.fedoraproject.org/
> kdevelop?#c8e2b9bc57f11e41f3dc6612cdbcc591078d9062 completed
> http://koji.fedoraproject.org/koji/taskinfo?taskID=11212117

It is mistake?
Comment 3 Vít Ondruch 2015-09-25 07:25:00 EDT
Just a few quick points:

* What about test suite?
* How about bundling? This directory looks suspicious: %{gem_instdir}/vendor
* You list several BuildRequires which you definitely don't need ATM, since you don't execute the test suite.
* We typically try to avoid build time dependency on Bundler as much as possible. Not sure this will be the case, but its always worth asking.
Comment 4 Ilya Gradina 2015-09-29 09:36:47 EDT
Thx Vit,

unfortunately the tests I have not found. I made the changes according to your notes.

Spec URL: http://repo.clanwars.org/gitlab/rubygem-ace-rails-ap.spec
SRPM URL: http://repo.clanwars.org/gitlab/rubygem-ace-rails-ap-4.0.0-2.fc24.src.rpm
Comment 5 Upstream Release Monitoring 2015-09-29 09:40:37 EDT
ilgrad's scratch build of rubygem-ace-rails-ap-4.0.0-2.fc24.src.rpm for f24 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11266095
Comment 6 Vít Ondruch 2015-09-30 04:57:43 EDT
(In reply to Ilya Gradina from comment #4)
> unfortunately the tests I have not found.

I see, no tests in upstream. Have you asked them? And even though there are no tests, it is a good habit to leave note in the .spec file.

BTW how are you going address the bundling?
Comment 8 Vít Ondruch 2016-10-05 11:59:49 EDT
(In reply to Vít Ondruch from comment #6)
> BTW how are you going address the bundling?

You still have not addressed this concern ^^. If you are going to keep the bundled library, then you should at minimum:

1) Explain the reasons why.
2) Add the "bundled" provide.
3) Update the license, since the ACE appears to be of some BSD license.


[1] https://fedoraproject.org/wiki/Bundled_Libraries#Requirement_if_you_bundle

Note You need to log in before you can comment on or make changes to this bug.